Bug 21231 - BlockReturnofLostItems does not prevent lost items being found
Summary: BlockReturnofLostItems does not prevent lost items being found
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-15 19:00 UTC by Andrew
Modified: 2018-09-21 14:41 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21231: Add Unit Test (1.33 KB, patch)
2018-08-16 11:19 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 21231: BlockReturnofLostItems does not prevent lost items being found (3.64 KB, patch)
2018-08-16 11:19 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 21231: BlockReturnofLostItems does not prevent lost items being found (3.69 KB, patch)
2018-08-16 11:21 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 21231: Add Unit Test (1.33 KB, patch)
2018-08-24 11:14 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 21231: BlockReturnofLostItems does not prevent lost items being found (3.69 KB, patch)
2018-08-24 11:14 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 21231: Add Unit Test (1.33 KB, patch)
2018-08-24 11:15 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 21231: BlockReturnofLostItems does not prevent lost items being found (3.69 KB, patch)
2018-08-24 11:15 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 21231: Add Unit Test (1.33 KB, patch)
2018-08-24 11:18 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 21231: BlockReturnofLostItems does not prevent lost items being found (3.69 KB, patch)
2018-08-24 11:18 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 21231: Add Unit Test (1.33 KB, patch)
2018-08-24 12:06 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 21231: BlockReturnofLostItems does not prevent lost items being found (3.69 KB, patch)
2018-08-24 12:06 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 21231: Add Unit Test (1.37 KB, patch)
2018-08-24 12:11 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 21231: BlockReturnofLostItems does not prevent lost items being found (3.73 KB, patch)
2018-08-24 12:11 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 21231: Add Unit Test (1.38 KB, patch)
2018-08-24 17:18 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 21231: BlockReturnofLostItems does not prevent lost items being found (3.73 KB, patch)
2018-08-24 17:18 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 21231: Add Unit Test (1.43 KB, patch)
2018-08-30 05:52 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21231: BlockReturnofLostItems does not prevent lost items being found (3.78 KB, patch)
2018-08-30 05:52 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew 2018-08-15 19:00:00 UTC
When the syspref BlockReturnOfLostItems is set to Block, the item is blocked from being returned, but is still considered found -- it's set to lost=0 and a refund is applied to the patron (if circ rules allow). The item can then be checked in a second time and returned as it is no longer lost.

To test:
- set an item to lost
- set BlockReturnOfLostItems to Block
- check the lost item in
- Koha says item cannot be returned but also item was lost, is now found
- check the item in again
Comment 1 Kyle M Hall 2018-08-16 11:19:49 UTC
Created attachment 77892 [details] [review]
Bug 21231: Add Unit Test
Comment 2 Kyle M Hall 2018-08-16 11:19:59 UTC
Created attachment 77893 [details] [review]
Bug 21231: BlockReturnofLostItems does not prevent lost items being found

When the syspref BlockReturnOfLostItems is set to Block, the item is blocked from being returned, but is still considered found -- it's set to lost=0 and a refund is applied to the patron (if circ rules allow). The item can then be checked in a second time and returned as it is no longer lost.

Test Plan:
1) Set an item to lost
2) Set BlockReturnOfLostItems to Block
3) Check the lost item in
4) Checkin  message should say item is lost and cannot be returned
Comment 3 Kyle M Hall 2018-08-16 11:21:44 UTC
Created attachment 77894 [details] [review]
Bug 21231: BlockReturnofLostItems does not prevent lost items being found

When the syspref BlockReturnOfLostItems is set to Block, the item is blocked from being returned, but is still considered found -- it's set to lost=0 and a refund is applied to the patron (if circ rules allow). The item can then be checked in a second time and returned as it is no longer lost.

Test Plan:
1) Set an item to lost
2) Set BlockReturnOfLostItems to Block
3) Check the lost item in
4) Checkin  message should say item is lost and cannot be returned
5) Check lost status of item, it should remain unchanged
Comment 4 Kyle M Hall 2018-08-24 11:14:20 UTC
Created attachment 78121 [details] [review]
Bug 21231: Add Unit Test
Comment 5 Kyle M Hall 2018-08-24 11:14:31 UTC
Created attachment 78122 [details] [review]
Bug 21231: BlockReturnofLostItems does not prevent lost items being found

When the syspref BlockReturnOfLostItems is set to Block, the item is blocked from being returned, but is still considered found -- it's set to lost=0 and a refund is applied to the patron (if circ rules allow). The item can then be checked in a second time and returned as it is no longer lost.

Test Plan:
1) Set an item to lost
2) Set BlockReturnOfLostItems to Block
3) Check the lost item in
4) Checkin  message should say item is lost and cannot be returned
5) Check lost status of item, it should remain unchanged
Comment 6 Kyle M Hall 2018-08-24 11:15:07 UTC
Created attachment 78123 [details] [review]
Bug 21231: Add Unit Test
Comment 7 Kyle M Hall 2018-08-24 11:15:10 UTC
Created attachment 78124 [details] [review]
Bug 21231: BlockReturnofLostItems does not prevent lost items being found

When the syspref BlockReturnOfLostItems is set to Block, the item is blocked from being returned, but is still considered found -- it's set to lost=0 and a refund is applied to the patron (if circ rules allow). The item can then be checked in a second time and returned as it is no longer lost.

Test Plan:
1) Set an item to lost
2) Set BlockReturnOfLostItems to Block
3) Check the lost item in
4) Checkin  message should say item is lost and cannot be returned
5) Check lost status of item, it should remain unchanged
Comment 8 Kyle M Hall 2018-08-24 11:18:39 UTC
Created attachment 78125 [details] [review]
Bug 21231: Add Unit Test
Comment 9 Kyle M Hall 2018-08-24 11:18:41 UTC
Created attachment 78126 [details] [review]
Bug 21231: BlockReturnofLostItems does not prevent lost items being found

When the syspref BlockReturnOfLostItems is set to Block, the item is blocked from being returned, but is still considered found -- it's set to lost=0 and a refund is applied to the patron (if circ rules allow). The item can then be checked in a second time and returned as it is no longer lost.

Test Plan:
1) Set an item to lost
2) Set BlockReturnOfLostItems to Block
3) Check the lost item in
4) Checkin  message should say item is lost and cannot be returned
5) Check lost status of item, it should remain unchanged
Comment 10 Kyle M Hall 2018-08-24 12:06:17 UTC
Created attachment 78127 [details] [review]
Bug 21231: Add Unit Test
Comment 11 Kyle M Hall 2018-08-24 12:06:19 UTC
Created attachment 78128 [details] [review]
Bug 21231: BlockReturnofLostItems does not prevent lost items being found

When the syspref BlockReturnOfLostItems is set to Block, the item is blocked from being returned, but is still considered found -- it's set to lost=0 and a refund is applied to the patron (if circ rules allow). The item can then be checked in a second time and returned as it is no longer lost.

Test Plan:
1) Set an item to lost
2) Set BlockReturnOfLostItems to Block
3) Check the lost item in
4) Checkin  message should say item is lost and cannot be returned
5) Check lost status of item, it should remain unchanged
Comment 12 Kyle M Hall 2018-08-24 12:11:43 UTC
Created attachment 78129 [details] [review]
Bug 21231: Add Unit Test

Signed-off-by: Kyle <kyle@hall.info>
Comment 13 Kyle M Hall 2018-08-24 12:11:46 UTC
Created attachment 78130 [details] [review]
Bug 21231: BlockReturnofLostItems does not prevent lost items being found

When the syspref BlockReturnOfLostItems is set to Block, the item is blocked from being returned, but is still considered found -- it's set to lost=0 and a refund is applied to the patron (if circ rules allow). The item can then be checked in a second time and returned as it is no longer lost.

Test Plan:
1) Set an item to lost
2) Set BlockReturnOfLostItems to Block
3) Check the lost item in
4) Checkin  message should say item is lost and cannot be returned
5) Check lost status of item, it should remain unchanged

Signed-off-by: Kyle <kyle@hall.info>
Comment 14 Tomás Cohen Arazi 2018-08-24 17:18:09 UTC
Created attachment 78143 [details] [review]
Bug 21231: Add Unit Test

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 15 Tomás Cohen Arazi 2018-08-24 17:18:14 UTC
Created attachment 78144 [details] [review]
Bug 21231: BlockReturnofLostItems does not prevent lost items being found

When the syspref BlockReturnOfLostItems is set to Block, the item is blocked from being returned, but is still considered found -- it's set to lost=0 and a refund is applied to the patron (if circ rules allow). The item can then be checked in a second time and returned as it is no longer lost.

Test Plan:
1) Set an item to lost
2) Set BlockReturnOfLostItems to Block
3) Check the lost item in
4) Checkin  message should say item is lost and cannot be returned
5) Check lost status of item, it should remain unchanged

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 16 Katrin Fischer 2018-08-30 05:52:10 UTC
I know that is out of scope here, but we might want to clean up the notes shown in the GUI sometime:

Not checked out.

Item is lost, cannot be checked in.
Cannot check in

NOT CHECKED IN

--

Definitely not checked in.
Comment 17 Katrin Fischer 2018-08-30 05:52:51 UTC
Created attachment 78303 [details] [review]
Bug 21231: Add Unit Test

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 18 Katrin Fischer 2018-08-30 05:52:56 UTC
Created attachment 78304 [details] [review]
Bug 21231: BlockReturnofLostItems does not prevent lost items being found

When the syspref BlockReturnOfLostItems is set to Block, the item is blocked from being returned, but is still considered found -- it's set to lost=0 and a refund is applied to the patron (if circ rules allow). The item can then be checked in a second time and returned as it is no longer lost.

Test Plan:
1) Set an item to lost
2) Set BlockReturnOfLostItems to Block
3) Check the lost item in
4) Checkin  message should say item is lost and cannot be returned
5) Check lost status of item, it should remain unchanged

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 19 Nick Clemens 2018-08-30 14:12:42 UTC
Awesome work all!

Pushed to master for 18.11
Comment 20 Andrew 2018-09-04 15:49:59 UTC
Thanks, folks!
Anrdrew
Comment 21 Martin Renvoize 2018-09-05 09:41:00 UTC
Pushed to 18.05.x for 18.05.04
Comment 22 Fridolin SOMERS 2018-09-21 14:41:20 UTC
Pushed to 17.11.x for 17.11.10